<template>
  <div class="monitorOverviewContainer">
    <div class="tabs">
      <div v-for="(item,index) in tabList" class="tab-item" :key="index">
        <img :src="item.icon" alt=""/>
      </div>
    </div>
    <div class="equiment-bg">
      <img src="@/assets/img/lifeline/riskMonitoring/equipmentNum.png" alt=""/>
      <div class="valve">
        <p>1235</p>
        <p>设备总数</p>
      </div>
      <img src="@/assets/img/lifeline/riskMonitoring/onlineNum.png" alt=""/>
      <div class="valve">
        <p>235</p>
        <p>在线数</p>
      </div>
    </div>
    <div class="sensor-bg">
      <div v-for="(item,index) in deviceList" :key="index" class="sensor-item">
        <img :src="item.icon" alt=""/>
        <div class="valve">
          <p>{{item.name}}</p>
          <p>{{item.valve}}</p>
        </div>
      </div>
    </div>
    <div class="chart">
      <DevOnlineLine :selected="activeOne"/>
    </div>
    <div class="chart">
      <DevTotalLine :selected="activeOne"/>
    </div>
  </div>
</template>

<script>
import DevTotalLine from './DevTotalLine'
import DevOnlineLine from './DevOnlineLine'
import DevErrorLine from './DevErrorLine'
import gas from "@/assets/img/lifeline/riskMonitoring/gas.png"
import heating from "@/assets/img/lifeline/riskMonitoring/heating.png"
import pipline from "@/assets/img/lifeline/riskMonitoring/pipline.png"
import synthesize from "@/assets/img/lifeline/riskMonitoring/synthesize.png"
import water from "@/assets/img/lifeline/riskMonitoring/water.png"
import gasSensor from "@/assets/img/lifeline/riskMonitoring/gasSensor.png"
import temSensor from "@/assets/img/lifeline/riskMonitoring/temSensor.png"
import vibrationSensor from "@/assets/img/lifeline/riskMonitoring/vibrationSensor.png"
import pressSensor from "@/assets/img/lifeline/riskMonitoring/pressSensor.png"

export default {
  name: 'monitorOverview',
  components: {
    DevTotalLine,
    DevOnlineLine,
    DevErrorLine,
  },
  data() {
    return {
      activeOne: '',
      tabList: [
        {
          name: '热力',
          code: 'thermal',
          icon: heating,
        }, {
          name: '供水',
          code: 'waterSupply',
          icon: water,
        }, {
          name: '燃气',
          code: 'gas',
          icon: gas,
        }, {
          name: '综合',
          code: 'integrated',
          icon: synthesize,
        }, {
          name: '管廊',
          code: 'pipeRack',
          icon: pipline,
        }],
      deviceList: [
        {
          name: '气体传感器',
          valve: '2328',
          icon: gasSensor,
        }, {
          name: '压力传感器',
          valve: '7328',
          icon: pressSensor,
        }, {
          name: '温湿度传感器',
          valve: '1036',
          icon: temSensor,
        }, {
          name: '振动传感器',
          valve: '5320',
          icon: vibrationSensor,
        }
      ],
      selectedDatas: {},
      thermal: {
        statistics: {
          total: 1515,
          online: 1489,
          error: 26
        },
        datas: [{
          name: '流量传感器',
          value: 681
        }, {
          name: '压力传感器',
          value: 834
        }]
      },
      waterSupply: {
        statistics: {
          total: 6379,
          online: 6345,
          error: 134
        },
        datas: [{
          name: '流量传感器',
          value: 2678
        }, {
          name: '压力传感器',
          value: 2463
        }, {
          name: '声波传感器',
          value: 1238
        }]
      },
      gas: {
        statistics: {
          total: 5437,
          online: 5329,
          error: 108
        },
        datas: [{
          name: '气体传感器',
          value: 2328
        }, {
          name: '压力传感器',
          value: 796
        }, {
          name: '流量传感器',
          value: 392
        }, {
          name: '温湿度传感器',
          value: 1036
        }, {
          name: '振动传感器',
          value: 539
        }, {
          name: '视频监控器',
          value: 346
        }]
      },
      integrated: {
        statistics: {
          total: 32,
          online: 31734,
          error: 676
        },
        datas: [{
          name: '气体传感器',
          value: 65
        }, {
          name: '压力传感器',
          value: 42
        }, {
          name: '流量传感器',
          value: 37
        }, {
          name: '温湿度传感器',
          value: 11
        }, {
          name: '振动传感器',
          value: 22
        }, {
          name: '视频监控器',
          value: 33
        }, {
          name: '声波传感器',
          value: 1238
        }, {
          name: '液位传感器',
          value: 2325
        }, {
          name: '位移传感器',
          value: 1654
        }]
      },
      waterlogging: {
        statistics: {
          total: 5297,
          online: 5124,
          error: 173
        },
        datas: [{
          name: '液位传感器',
          value: 492
        }, {
          name: '流量传感器',
          value: 398
        }, {
          name: '温湿度传感器',
          value: 267
        }, {
          name: '气体传感器',
          value: 1687
        }, {
          name: '视频监控器',
          value: 2453
        }]
      },
      fire: {
        statistics: {
          total: 5477,
          online: 5390,
          error: 87
        },
        datas: [{
          name: '温湿度传感器',
          value: 2358
        }, {
          name: '位移传感器',
          value: 1654
        }, {
          name: '气体传感器',
          value: 628
        }, {
          name: '视频监控器',
          value: 837
        }]
      },
      pipeRack: {
        statistics: {
          total: 8305,
          online: 8157,
          error: 148
        },
        datas: [{
          name: '压力传感器',
          value: 1649
        }, {
          name: '流量传感器',
          value: 1226
        }, {
          name: '液位传感器',
          value: 1833
        }, {
          name: '气体传感器',
          value: 1735
        }, {
          name: '温湿度传感器',
          value: 1862
        }]
      },
      timer: null,
      activeIndex: 3
    }
  },
  created() {
    this.activeOne = 'integrated'
    this.selectedDatas = {
      ...this[this.activeOne]
    }
    // this.autoChange()
  },
  destroyed() {
    clearTimeout(this.timer)
  },
  methods: {
    autoChange() {
      clearTimeout(this.timer)
      // this.timer = setTimeout(() => {
      //   if (this.activeIndex === 6) {
      //     this.activeIndex = -1
      //   }
      //   this.activeIndex++
      //   this.tabChange(this.tabList[this.activeIndex].code)
      //   this.autoChange()
      // }, 3000)
    },
    tabClick(code, index) {
      this.activeIndex = index
      this.tabChange(code)
      this.autoChange()
    },
    tabChange(code) {
      this.activeOne = code
      this.selectedDatas = {
        ...this[this.activeOne]
      }
    },
    tabListOver() {
      clearTimeout(this.timer)
    },
    tabListLeave() {
      this.autoChange()
    }
  }
}
</script>

<style lang="scss" scoped>
.monitorOverviewContainer {
  padding-top: 10px;
  pointer-events: auto;

  .tabs {
    display: flex;

    .tab-item {
      flex: 1;
    }
  }

  .equiment-bg {
    margin-top: 10px;
    display: flex;
    align-items: center;
    .valve {
      margin: 0 20px;
      font-size: 14px;
      font-weight: 400;
      text-align: left;
      color: rgba(255,255,255,0.8);
      font-family: YouSheBiaoTiHei, YouSheBiaoTiHei-Regular;
      letter-spacing: 1.34px;
      text-shadow: 0px 1.5px 0.98px 0.03px rgba(0, 14, 17, 0.19);

      :nth-child(1) {
        background: linear-gradient(0deg,rgba(62,242,255,1) 0%, rgba(222,222,222,1) 100%);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        font-size: 26px;
        font-family: YouSheBiaoTiHei, YouSheBiaoTiHei-Regular;
        font-weight: 400;
        color: #fefefe;
        letter-spacing: 1.31px;
        text-shadow: 0px 1.5px 12px 0px rgba(0,29,45,0.53);
      }
    }
  }

  .sensor-bg{
    margin-top: 10px;
    display: flex;
    flex-wrap: wrap;
    .sensor-item{
      display: flex;
      align-items: center;
      width: 50%;
      margin-bottom: 10px;
      .valve {
        margin: 0 20px;
        background: linear-gradient(0deg,rgba(77,105,157,1) 0%,rgba(215,237,255,1) 100%);
        -webkit-text-fill-color: transparent;
        -webkit-background-clip: text;
        font-size: 12px;
        font-family: Source Han Sans CN, Source Han Sans CN-Regular;
        font-weight: 400;
        color: #ffffff;
        letter-spacing: 0.55px;

        :nth-child(2) {
          font-size: 22px;
          background: linear-gradient(0deg,#45cdff 0%, #e5f9ff 100%);
          -webkit-background-clip: text;
          -webkit-text-fill-color: transparent;
          font-family: YouSheBiaoTiHei, YouSheBiaoTiHei-Regular;
          font-weight: 400;
          text-align: left;
          color: #00ffe4;
        }
      }
    }
  }
  .chart{
    width: 100%;
    height: 100px;
  }
}
</style>
